Prepare a cross-exchange transfer
curl --request POST \
--url https://perps-api.vooi.io/transfer/prepare \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "<string>",
"address": "0x1234567890abcdef1234567890abcdef12345678"
}
'import requests
url = "https://perps-api.vooi.io/transfer/prepare"
payload = {
"amount": "<string>",
"address": "0x1234567890abcdef1234567890abcdef12345678"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: '<string>', address: '0x1234567890abcdef1234567890abcdef12345678'})
};
fetch('https://perps-api.vooi.io/transfer/prepare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"exchangeFee": 123,
"fee": 123,
"quoteDataToSign": {
"domain": {
"name": "<string>",
"version": "<string>",
"chainId": 123,
"verifyingContract": "0x1234567890abcdef1234567890abcdef12345678"
},
"message": {},
"primaryType": "<string>",
"types": {}
},
"source": "hyperliquid",
"transferDataToSign": {
"domain": {
"name": "<string>",
"version": "<string>",
"chainId": 123,
"verifyingContract": "0x1234567890abcdef1234567890abcdef12345678"
},
"message": {},
"primaryType": "<string>",
"types": {}
},
"transferId": "<string>"
}{
"message": "Invalid order id: 123",
"statusCode": 503
}Transfer
Prepare a cross-exchange transfer
POST
/
transfer
/
prepare
Prepare a cross-exchange transfer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Amount to transfer
Destination exchange
Available options:
hyperliquid, lighter, arbitrum Source exchange
Available options:
hyperliquid, lighter Custom recipient address on the destination exchange
Example:
"0x1234567890abcdef1234567890abcdef12345678"
Response
Transfer preparation data
- HyperliquidTransferData
- LighterTransferData
Exchange-specific fee (included in total fee)
Transfer fee amount
EIP-712 typed data authorizing the bridge quote on the destination exchange. Always returned, including same-address transfers; sign it and pass the result back as quoteSignature on execute.
Show child attributes
Show child attributes
Available options:
hyperliquid EIP-712 typed data to sign for the transfer
Show child attributes
Show child attributes
Pending transfer identifier